<?php
/*
Plugin Name: Blogmappr
Plugin URI: http://wordpress.org/extend/plugins/blogmappr/
Description: Bindet die Meta-Tags und Geo-Tags, die Blogmappr indexiert in den <head> ein.
Version: 1.0
Author: http://www.blogmappr.net
Author URI: http://www.blogmappr.net
*/

function blogmappr_addadminpages(){
  add_submenu_page("plugins.php", "Blogmappr Konfiguration", "Blogmappr", 9, basename(__FILE__), 'blogmappr_admin');
}

function blogmappr_admin(){
$kategorien = array("Computerblog", "Fotoblog", "Funblog", "Hobbyblog", "Internetblog", "Kulturblog", "Kunstblog", "Medizinblog" , "Musikblog", "Politikblog", "Privatblog", "Seoblog", "Sportblog", "Tierblog", "Wirtschaftsblog", "Wissenschaftsblog");
?>
<div class="wrap">
  <h2>Blogmappr Konfiguration</h2>
  <form method="post" action="options.php">
    <?php wp_nonce_field('update-options'); ?>
    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="page_options" value="blogmappr_name,blogmappr_beschreibung,blogmappr_kategorie,blogmappr_tags,blogmappr_lat,blogmappr_lng,blogmappr_ort,blogmappr_sland,blogmappr_sbland" />
    <table class="form-table">
			<tr>
				<th scope="row" valign="top">Blog-Informationen</th>
				<td colspan="2">
					<label for="blogmappr_name">Name des Blogs:</label><br/>
					<input size="50" type="text" id="blogmappr_name" name="blogmappr_name" value="<?php echo get_option('blogmappr_name'); ?>" /><br/>
					
					<label for="blogmappr_beschreibung">Kurze Beschreibung des Blogs:</label><br/>
					<textarea style="width: 370px; height: 100px;" id="blogmappr_beschreibung" name="blogmappr_beschreibung"><?php echo get_option('blogmappr_beschreibung'); ?></textarea><br/>

					<label for="blogmappr_kategorie">Kategorie des Blogs:</label><br/>	
          <select name="blogmappr_kategorie" id="blogmappr_kategorie">
            <?php foreach($kategorien as $kategorie) : ?>
						  <option<?php if($kategorie == get_option('blogmappr_katgeorie')){ echo ' selected="selected"'; } ?>><?php echo $kategorie; ?></option>
						<?php endforeach; ?>
					</select><br/>
					
					<label for="blogmappr_tags">Tags des Blogs:</label><br/>
					<input size="50" type="text" id="blogmappr_tags" name="blogmappr_tags" value="<?php echo get_option('blogmappr_tags'); ?>" /><br/>
				</td>
			</tr>
			<tr>
				<th scope="row" valign="top">Geo-Informationen</th>
				<td colspan="2">
					<label for="blogmappr_lat">Koordinaten des Blogs, <a href="http://www.blogmappr.net/Hilfe/Koordinaten">hier bestimmen</a>:</label><br/>
					Latitude: <input size="20" type="text" id="blogmappr_lat" name="blogmappr_lat" value="<?php echo get_option('blogmappr_lat'); ?>" /> Longitude: <input size="20" type="text" id="blogmappr_lng" name="blogmappr_lng" value="<?php echo get_option('blogmappr_lng'); ?>" /><br/>

					<label for="ort">Standort des Blogs (Bsp: Berlin):</label><br/>
					<input size="50" type="text" id="blogmappr_ort" name="blogmappr_ort" value="<?php echo get_option('blogmappr_ort'); ?>" /><br/>
					
					<label for="blogmappr_sland"><a href="http://de.wikipedia.org/wiki/ISO_3166-2:DE">Zweistellige Kürzel von Land und Bundesland</a> (Bsp: "DE-NW" für Deutschland - Nordrhein-Westfalen):</label><br/>	
					<input size="2" maxlength="2" type="text" id="blogmappr_sland" name="blogmappr_sland" value="<?php echo get_option('blogmappr_sland'); ?>" />-<input size="2" maxlength="2" type="text" id="blogmappr_sbland" name="blogmappr_sbland" value="<?php echo get_option('blogmappr_sbland'); ?>" /><br/>
				</td>
			</tr>
    </table>
    <p class="submit"><input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" /></p>
  </form>
</div>
<?php
}

function blogmappr_meta(){
?>
  <!-- Blogmappr Start -->
  <meta name="blogmappr.name" content="<?php echo get_option('blogmappr_name') ?>" />
  <meta name="blogmappr.beschreibung" content="<?php echo get_option('blogmappr_beschreibung') ?>" />
  <meta name="blogmappr.kategorie" content="<?php echo get_option('blogmappr_kategorie') ?>" />
  <meta name="blogmappr.tags" content="<?php echo get_option('blogmappr_tags') ?>" />
  <meta name="blogmappr.feedurl" content="<?php echo bloginfo('rss2_url') ?>" />
    <!-- Geo-Tags Start -->
    <meta name="geo.region" content="<?php echo get_option('blogmappr_sland') ?>-<?php echo get_option('blogmappr_sbland') ?>" />
    <meta name="geo.placename" content="<?php echo get_option('blogmappr_ort') ?>" />
    <meta name="geo.position" content="<?php echo get_option('blogmappr_lat') ?>;<?php echo get_option('blogmappr_lng') ?>" />
    <meta name="ICBM" content="<?php echo get_option('blogmappr_lat') ?>;<?php echo get_option('blogmappr_lng') ?>" />
    <!-- Geo-Tags Ende -->
  <!-- Blogmappr Ende -->
<?php
}

add_action('admin_menu', 'blogmappr_addadminpages');
add_action('wp_head', 'blogmappr_meta');
?>
